Skip to main content
GET
/
token
/
balance
Get Address Token Balances
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/token/balance \
  --header 'X-API-KEY: <api-key>'
{
  "balances": [
    {
      "contractAddress": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
      "balance": "199999999999",
      "formattedBalance": "19.9999999999",
      "name": "Ethereum",
      "symbol": "ETH",
      "logo": "https://assets.coingecko.com/coins/images/279/large/ethereum.png",
      "decimals": "18",
      "associatedTokenAddress": "EkSPbKodUFbYmsX5LuvfnSoRAozZ3kxT9wy71pf6eL2d"
    }
  ],
  "cursor": "ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="
}

Documentation Index

Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<string>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10143,
10200,
1088,
1101,
11011,
11124,
11155111,
11155420,
11235,
11297108099,
11297108109,
1135,
1284,
1285,
130,
1301,
1313161554,
1329,
137,
14,
143,
1666600000,
167000,
167009,
168587773,
1868,
1946,
196,
2020,
2021,
2442,
248,
25,
250,
2741,
288,
30,
300,
31,
321,
322,
324,
32769,
33101,
33111,
33139,
360,
369,
37111,
397,
4002,
4202,
42161,
421614,
42170,
42220,
42261,
42262,
43113,
43114,
480,
4801,
50,
5000,
51,
534351,
534352,
5371,
5373,
54211,
545,
56,
560048,
57073,
59141,
59144,
61,
7000,
7001,
7332,
747,
763373,
7777777,
80002,
80094,
81457,
8453,
84532,
88882,
88888,
9001,
97,
999999999,
bitcoin,
bitcoin-testnet,
bitcoin-testnet4,
celestia,
kusama,
polkadot,
ripple,
solana,
solana-devnet,
stellar,
stellar-soroban,
stellar-testnet,
sui,
toncoin,
tron,
tron-testnet
Example:

1

walletAddress
string
default:0x8D97689C9818892B700e27F316cc3E41e17fBeb9
required

The address of the wallet to query.

Example:

"0x8D97689C9818892B700e27F316cc3E41e17fBeb9"

cursor
string

Cursor from previous query to get next page of results.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy,
GoldRush,
Moralis,
Tatum,
BlockDaemon,
Shyft

Response

200 - application/json
balances
object[]
required
cursor
string
required
Example:

"ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="